Access Token B2B2C

Technical Specification

Service Code: 74

Body Request

No
Name
Type
Mandatory
Min Length
Max Length
Description

1

grantType

String

M

1

18

oAuth2 authorization_code & refresh_token grant types.

2

authCode

String

M

1

256

Authorization code obtained from the query parameter in the final webview redirect, after the customer authorises all of the consents.

3

refreshToken

String

O

1

512

Refresh token obtained from response at the first B2B2C call using authorization_code grant type.

Sample Request

{
  "grantType": "authorization_code",
  "authCode":"def50200e84f7fe6a6dc3c3a5c007a2afa824977ba5031b4080f79a2b8130e3
  f8947585ddd617d9c33f56d6406b1f0bec31ec65e94cfe6a4a58b4f54e015b346abadb866f1
  ad9f25784c7a5d04c565d15a3b47185316a5c8ca3f5acaaf4c86f495d8d87156ae5b87dd23c
  73609274e3979e79a28663ea36601c3d0975d71dc1cb34589ac27c02c89cea6f126cf253fd6
  616c9e672f952a155ecdf360f1aa496300a7fcd6a26cb213a2b89dfb5fb0856de4322fee732
  3573c896f4140978fc56c15a0f1b323b1dc54a8e6602b4a9fc7978258cdd73ed59ed0b01420
  e9b050a7b2510c4bf2e2dc7b3bdf19846981652bb37fe45e224dec43ad909cf3f7d70238205
  50f7ded824659f3b0cd407471260b858f785fdb81115ed36f4137e4dece045d1c9bafb21d91
  e4305ed0a87e97bb919fa518b89a841a6447fcc228b7946c2823dace3e5d955df7cc4f117ed
  c27580f5c670a2b5dd19d2d490d46cdd8ef6fbefe1fbca93ea045278fc4c65b4c72c42195b0
  692eb0845cbfeeb9366ea8180a39619a07a0652e831b2beef98a"
}

Body Response

No
Name
Type
Mandatory
Min Length
Max Length
Description

1

responseCode

M

1

7

BI SNAP Response Code.

2

responseMessage

String

M

1

150

BI SNAP Response Message.

3

accessToken

String

M

1

2048

Generated authorization code exchange token.

4

tokenType

String

M

1

6

Filled with Bearer type.

5

accessTokenExpiryTime

String

M

1

25

Access Token expiry time in ISO8601 format.

6

refreshToken

String

M

1

2048

Generated token for refreshing the access token.

7

refreshTokenExpiryTime

String

M

1

25

Refresh Token expiry time in ISO8601 format.

Sample Response

Last updated